Class | Bio::SOSUI::Report
In: | lib/bio/appl/sosui/report.rb
Parent: | Object

# SOSUI output report parsing class

## References

- sosui.proteome.bio.tuat.ac.jp/sosui_submit.html

### Methods

new

### Classes and Modules

Class Bio::SOSUI::Report::TMH

### Constants

DELIMITER | = | "\n>" |  | Delimiter
RS | = | DELIMITER

### Attributes

entry_id | [R] | Query entry_id
prediction | [R] | Returns the prediction result whether "MEMBRANE PROTEIN" or "SOLUBLE PROTEIN".
tmhs | [R] | Transmembrane helixes ary

### Public Class methods

new(output_report)

Parser for SOSUI output report.

[Source]

        # File lib/bio/appl/sosui/report.rb, line 43
    43:       def initialize(output_report)
    44:         entry       = output_report.split(/\n/)
    45:
    46:         @entry_id   = entry[0].strip.sub(/^>/,'')
    47:         @prediction = entry[1].strip
    48:         @tms        = 0
    49:         @tmhs       = []
    50:         parse_tmh(entry) if /MEMBRANE/ =~ @prediction
    51:       end

[Validate]